Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0019022Runner[All Projects] WindowsPublic2015-10-08 11:192016-12-15 12:27
Reporterry 
Assigned ToRussell Kay 
PriorityMediumSeverityA - Crash/HangReproducibility100%
StatusClosedResolutionFixed 
PlatformWindowsOSWindows 8OS Version
Summary0019022: Windows: [show_error() on game startup will cause a runner crash when clicking Abort]
DescriptionIf in a persistent object, you switch to another room, then, in the same event, attempt to access any of the instances in the room, they have not yet been initialized.

If this is intended, please add some information on this in the documentation for room_goto, as well as any other relevant documents.
Steps To Reproduce1) Run the project supplied
2) Click abort when the error is shown
3) Observe the game crashes

Repro: 100%
Additional InformationOriginal helpdesk ticket: http://help.yoyogames.com/tickets/94965 [^]
1.4 Version1.4.1657
Runtime Version
Runtime Version Verified In
Attached Files? file icon tmp.gmz [^] (7,098 bytes) 2015-10-08 11:20

- Relationships

-  Notes
(0039868)
Daniel Cleaton (Administrator)
2015-10-08 11:45
edited on: 2015-10-08 11:59

Your actual issue/code is incorrect and not a bug - you do not shift immediately on calling room_goto(); you shift at the end of that event/step. So your second line will always return that no instance of the second object exist, as you're not in room1 at that point.

You are correct that the manual does not explicily state this for the room-changing functions, however, so we'll get this information added. Thanks.

Also, in running your program we started reproducing game crashes when dismissing the error prompt where it has been called in the Create event, which is why the issue has been passed on for investigation as a A class. Simply moving the show_error back a step using an alarm, etc., fixes the crash.

(0039892)
Russell Kay (Manager)
2015-10-12 14:52

Fixed in SVN
(0041280)
Mark Alexander (Developer)
2015-12-16 11:05

Fixed v1.4.1690+
(0041410)
Daniel Cleaton (Administrator)
2016-01-07 15:26

1.4.1691+


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker